package database

import (
	"database/sql"
	"errors"
	"fmt"

	"git.umbach.dev/app-idea/rest-api/modules/config"
	"git.umbach.dev/app-idea/rest-api/modules/debug"
)

func getConnectionString() string {
	conf := config.GetConfig()

	return fmt.Sprintf("%s:%s@tcp(%s)/%s", conf.Database.Username, conf.Database.Password, conf.Database.Host, conf.Database.Database)
}

func GetDatabase() (*sql.DB, error) {
	db, _ := sql.Open("mysql", getConnectionString())

	if err := db.Ping(); err != nil {
		debug.Msg("DB Connection error:", err.Error())
		return nil, errors.New(err.Error())
	}

	return db, nil
}

func InitDatabase() {
	/*
		var connectionString = getConnectionString()

		db, err := sql.Open("mysql", connectionString)

		if err != nil {
			fmt.Println(err)
		}

		defer db.Close()

		//_, err = db.Exec("CREATE TABLE IF NOT EXISTS users (id VARCHAR(36), name VARCHAR(255), avatar_url VARCHAR(255), created);")
		//fmt.Println("Finished creating table.")

		/*
			sqlStatement, err := db.Prepare("INSERT INTO users (name) VALUES (?);")
			res, err := sqlStatement.Exec(uuid.New().String())
			rowCount, err := res.RowsAffected()
			fmt.Printf("inserted %d row(s) of data. \n", rowCount) */
}
